#
# Example 36-1
# FindFont matches an existing font.
#

proc FindFont { w {sizes 14} {weight medium} {slant r}} {
	foreach family {times courier helvetica} {
		foreach size $sizes {
			if {[catch {$w config -font \
				-*-$family-$weight-$slant-*-*-$size-*}] == 0} {
				return -*-$family-$weight-$slant-*-*-$size-*
			}
		}
	}
	$w config -font fixed
	return fixed
}


